Skip to content

Changelog

All notable changes to this project are documented in this file.

The format is based on Keep a Changelog, and this project adheres to Semantic Versioning.

[Before lattice]

Features

  • template: Move onto the libraries' main, with telemetry set up once and reflexr's names qualified (#40) (breaking)
  • template: Move onto the libraries' main, and stop the reactor gracefully (#36)
  • scripts: Bump the template's library revisions with make bump-libraries (#32)
  • template: Add the Copier application template (#15)
  • gateway: Add the LiteLLM proxy with a team per tenant and guardrails (#14)
  • supabase: Run local Supabase as the default database adapter (#13)
  • langfuse: Add self-hosted Langfuse behind the Collector (#12)
  • observability: Add the Collector, LGTM with Pyroscope, and Grafana (#11)

Bug fixes

  • template: Pass its own checks under every slug it accepts, and refuse the libraries' names (#41)
  • Follow STACKR_BIND in create-tenant, and fix what the docs review found (#33)
  • deps: Keep the plain PostgreSQL adapter on local Supabase's major version (#26)
  • observability: Tell Grafana that metrics arrive once a minute (#19)
  • template: Stop the reactor even when it fails as it stops (#17)

Documentation

  • rfc: RFC-0003 one repository, lattice (#43)
  • rfc: reflexr#45 is implemented, so RFC-0002's phase 1 can start (#39)
  • rfc: Name RFC-0002's bridged events as reflexr ADR-0039 decided (#35)
  • rfc: Link RFC-0002's prerequisites to the issues filed for them (#34)
  • rfc: RFC-0002 the combined system (#30)
  • Add the documentation site and brand (#23)
  • rfc: Tick RFC-0001 phase 5, the application template (#18)
  • adr: Record ports and adapters for the stack (#10)
  • Add the stackr design: RFC-0001 and ADRs (#1)

Refactoring

  • scripts: Keep shellcheck's one exception in .shellcheckrc (#42)
  • Read settings one way, keep the stack's addresses in one file, and build the docs once (#38)

Testing

  • smoke: Run an application from the template against the stack (#16)

Miscellaneous

  • Lay the foundation for the stack (#9)
  • Initial commit